com.fasterxml.aalto.async

## Class AsyncStreamReaderImpl<F extends AsyncInputFeeder>

- java.lang.Object
- - com.fasterxml.aalto.stax.StreamReaderImpl
  - - com.fasterxml.aalto.async.AsyncStreamReaderImpl<F>

- All Implemented Interfaces:
    AsyncXMLStreamReader<F>, XMLStreamConstants, XMLStreamReader, org.codehaus.stax2.AttributeInfo, org.codehaus.stax2.DTDInfo, org.codehaus.stax2.LocationInfo, org.codehaus.stax2.typed.TypedXMLStreamReader, org.codehaus.stax2.validation.Validatable, org.codehaus.stax2.XMLStreamReader2

      public class AsyncStreamReaderImpl<F extends AsyncInputFeeder>
      extends StreamReaderImpl
      implements AsyncXMLStreamReader<F>

  Implementation of `AsyncXMLStreamReader`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AsyncByteScanner` | `_asyncScanner`

    - ### Fields inherited from class com.fasterxml.aalto.stax.StreamReaderImpl

      `_attrCount, _base64Decoder, _cfgCoalesceText, _cfgReportTextAsChars, _currName, _currToken, _decoderFactory, _dtdRootName, _parseState, _scanner`

    - ### Fields inherited from interface com.fasterxml.aalto.AsyncXMLStreamReader

      `EVENT_INCOMPLETE`

    - ### Fields inherited from interface org.codehaus.stax2.XMLStreamReader2

      `FEATURE_DTD_OVERRIDE`

    - ### Fields inherited from interface javax.xml.stream.XMLStreamConstants

      `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncStreamReaderImpl(AsyncByteScanner scanner)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `_reportNonTextEvent(int type)` Helper method called when `StreamReaderImpl.getElementText()` (et al) method encounters a token type it should not, during text coalescing
    `F` | `getInputFeeder()` Method used to access `AsyncInputFeeder` which is used to provide XML content to parse in non-blocking manner (see `AsyncInputFeeder` for more details).

    - ### Methods inherited from class com.fasterxml.aalto.stax.StreamReaderImpl

      `_base64Decoder, _closeScanner, _constructUnexpectedInTyped, _decoderFactory, close, closeCompletely, construct, findAttributeIndex, getAttributeAs, getAttributeAsArray, getAttributeAsBinary, getAttributeAsBinary, getAttributeAsBoolean, getAttributeAsDecimal, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsFloatArray, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsInteger, getAttributeAsLong, getAttributeAsLongArray, getAttributeAsQName, getAttributeCount, getAttributeIndex, getAttributeInfo, getAttributeLocalName, getAttributeName, getAttributeNamespace, getAttributePrefix, getAttributeType, getAttributeValue, getAttributeValue, getCharacterEncodingScheme, getConfig, getCurrentLocation, getDepth, getDTDInfo, getDTDInternalSubset, getDTDPublicId, getDTDRootName, getDTDSystemId, getElementAs, getElementAsBinary, getElementAsBinary, getElementAsBoolean, getElementAsDecimal, getElementAsDouble, getElementAsFloat, getElementAsInt, getElementAsInteger, getElementAsLong, getElementAsQName, getElementText, getEncoding, getEndingByteOffset, getEndingCharOffset, getEndLocation, getEventType, getFeature, getIdAttributeIndex, getLastCharLocation, getLocalName, getLocation, getLocationInfo, getName, getNamespaceContext, getNamespaceCount, getNamespacePrefix, getNamespaceURI, getNamespaceURI, getNamespaceURI, getNonTransientNamespaceContext, getNotationAttributeIndex, getPIData, getPITarget, getPrefix, getPrefixedName, getProcessedDTD, getProcessedDTDSchema, getProperty, getScanner, getStartingByteOffset, getStartingCharOffset, getStartLocation, getText, getText, getTextCharacters, getTextCharacters, getTextLength, getTextStart, getVersion, handlePrologEoi, handleTreeEoi, hasName, hasNext, hasText, isAttributeSpecified, isCharacters, isEmptyElement, isEndElement, isPropertySupported, isStandalone, isStartElement, isWhiteSpace, next, nextTag, readElementAsArray, readElementAsBinary, readElementAsBinary, readElementAsDoubleArray, readElementAsFloatArray, readElementAsIntArray, readElementAsLongArray, reportInvalidAttrIndex, require, setFeature, setProperty, setValidationProblemHandler, skipElement, standaloneSet, stopValidatingAgainst, stopValidatingAgainst, throwFromIOE, throwUnexpectedEOI, throwWfe, toString, validateAgainst, verifyQName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.fasterxml.aalto.AsyncXMLStreamReader

      `getConfig`

    - ### Methods inherited from interface org.codehaus.stax2.XMLStreamReader2

      `closeCompletely, getAttributeInfo, getDepth, getDTDInfo, getFeature, getLocationInfo, getNonTransientNamespaceContext, getPrefixedName, getText, isEmptyElement, isPropertySupported, setFeature, setProperty, skipElement`

    - ### Methods inherited from interface org.codehaus.stax2.typed.TypedXMLStreamReader

      `getAttributeAs, getAttributeAsArray, getAttributeAsBinary, getAttributeAsBinary, getAttributeAsBoolean, getAttributeAsDecimal, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsFloatArray, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsInteger, getAttributeAsLong, getAttributeAsLongArray, getAttributeAsQName, getAttributeIndex, getElementAs, getElementAsBinary, getElementAsBinary, getElementAsBoolean, getElementAsDecimal, getElementAsDouble, getElementAsFloat, getElementAsInt, getElementAsInteger, getElementAsLong, getElementAsQName, readElementAsArray, readElementAsBinary, readElementAsBinary, readElementAsDoubleArray, readElementAsFloatArray, readElementAsIntArray, readElementAsLongArray`

    - ### Methods inherited from interface javax.xml.stream.XMLStreamReader

      `close, getAttributeCount, getAttributeLocalName, getAttributeName, getAttributeNamespace, getAttributePrefix, getAttributeType, getAttributeValue, getAttributeValue, getCharacterEncodingScheme, getElementText, getEncoding, getEventType, getLocalName, getLocation, getName, getNamespaceContext, getNamespaceCount, getNamespacePrefix, getNamespaceURI, getNamespaceURI, getNamespaceURI, getPIData, getPITarget, getPrefix, getProperty, getText, getTextCharacters, getTextCharacters, getTextLength, getTextStart, getVersion, hasName, hasNext, hasText, isAttributeSpecified, isCharacters, isEndElement, isStandalone, isStartElement, isWhiteSpace, next, nextTag, require, standaloneSet`

    - ### Methods inherited from interface org.codehaus.stax2.validation.Validatable

      `setValidationProblemHandler, stopValidatingAgainst, stopValidatingAgainst, validateAgainst`

- - ### Field Detail

    - #### _asyncScanner

          protected final AsyncByteScanner _asyncScanner

  - ### Constructor Detail

    - #### AsyncStreamReaderImpl

          public AsyncStreamReaderImpl(AsyncByteScanner scanner)

  - ### Method Detail

    - #### getInputFeeder

          public F getInputFeeder()

      Description copied from interface: `AsyncXMLStreamReader`
      Method used to access `AsyncInputFeeder` which is used to provide XML content to parse in non-blocking manner (see `AsyncInputFeeder` for more details).
      Specified by:
        `getInputFeeder` in interface `AsyncXMLStreamReader<F extends AsyncInputFeeder>`
      Returns:
        Input feeder to use for "pushing" content to parse.

    - #### _reportNonTextEvent

          protected void _reportNonTextEvent(int type)
                                      throws XMLStreamException

      Description copied from class: `StreamReaderImpl`
      Helper method called when `StreamReaderImpl.getElementText()` (et al) method encounters a token type it should not, during text coalescing
      Overrides:
        `_reportNonTextEvent` in class `StreamReaderImpl`
      Throws:
        `XMLStreamException`

Copyright © 2018 FasterXML. All rights reserved.